Subject: Re: Glimpse on gnu-win32
From: [email-masked] ("Oleg Preobragensky")

2 Jul 1997 15:07:56 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: 7bit
Original-To: <[email-masked]>, "Theodore W. Leung" <[email-masked]>
X-MSMail-Priority: Normal
X-Priority: 3
X-Mailer: Microsoft Internet Mail 4.70.1157
Original-Sender: [email-masked]

Hi!

SIGURG defined in <sys/signal.h>
#define SIGURG 16

----------
> 
> Has anyone successfully built glimpse on gnu-win32?
> 
> I tried building the 4.0 sources, but got stuck on the file communicate.c
> (which is included by main.c) which includes <sys/un.h> -- this is for
UNIX
> sockets, so I just commented it out.  When I did that, I got:
> 
> gcc -c -g -O -O -DSTRUCTURED_QUERIES=1 -DHAVE_DIRENT_H=1
> -DSTRUCTURED_QUERIES=1
> -DAGREP_POINTER=1  -I./index -I./agrep -I./libtemplate/include
-DISSERVER=0
> -o m
> ain.o ./main.c
> ./main.c: In function `main':
> ./main.c:765: `SIGURG' undeclared (first use this function)
> ./main.c:765: (Each undeclared identifier is reported only once
> ./main.c:765: for each function it appears in.)
> ./main.c: In function `filter_output':
> ./main.c:3358: warning: passing arg 3 of `memcpy' makes integer from
> pointer wit
> hout a cast
> gcc: Internal compiler error: program cc1 got fatal signal 33
> 
> Thanks,
> 

> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

Oleg "Marx" Preobragensky.
-------------Sebastopol, Crimea------------------
           [email-masked]
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".